summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorLeah Rowe <leah@libreboot.org>2025-05-04 16:53:02 +0100
committerLeah Rowe <leah@libreboot.org>2025-05-05 12:18:23 +0100
commit53830022025a8a99b274ac1682822b51ee3e2222 (patch)
tree2cdb9009d9c5042479e1c0f181ca3800a3f7e990
parentbb1f32a6d46607412fd92912568f2992a238c821 (diff)
lib.sh: Provide error message where none is given
Signed-off-by: Leah Rowe <leah@libreboot.org>
-rw-r--r--include/lib.sh1
1 files changed, 1 insertions, 0 deletions
diff --git a/include/lib.sh b/include/lib.sh
index c9be740a..71183874 100644
--- a/include/lib.sh
+++ b/include/lib.sh
@@ -196,6 +196,7 @@ err()
err_()
{
+ [ $# -lt 1 ] && printf "ERROR (but no error message provided)\n" 1>&2
[ $# -lt 1 ] || printf "ERROR %s: %s\n" "$0" "$1" 1>&2 || :
exit 1
}